Skip to content

Gang​

Fixed crews of users. Assigning a gang to an assignment event assigns its members with it.


OpenAPI Spec​

GET
/v2/gangs/spec

Get OpenAPI 3.1.0 spec for Gang API

Responses​

Returns OpenAPI 3.1.0 spec for Gang API

application/json
JSON
{
}

Playground​

Samples​


List Gangs​

GET
/v2/gangs

List Gangs

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
uuid
name
externalId
deactivatedAt
createdAt
updatedAt

Responses​

List response

application/json
JSON
{
  
"page": 0,
  
"pages": 0,
  
"size": 10,
  
"items": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"name": "string",
  
  
  
"order": 0,
  
  
  
"userUuids": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"deactivatedAt": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"externalId": "string"
  
  
}
  
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Create a new Gang​

POST
/v2/gangs

Create a new Gang

Authorizations​

apiKey
Type
HTTP (bearer)

Request Body​

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"order": 0,
  
"userUuids": [
  
  
"string"
  
],
  
"deactivatedAt": "string",
  
"externalId": null
}

Responses​

Gang found

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"order": 0,
  
"userUuids": [
  
  
"string"
  
],
  
"deactivatedAt": "string",
  
"createdAt": "string",
  
"updatedAt": "string",
  
"externalId": "string"
}

Playground​

Server
Authorization
Body

Samples​


Get a Gang​

GET
/v2/gangs/{gangUuid}

Get a Gang by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

gangUuid*
Type
string
Required
Format
"uuid"

Responses​

Gang found

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"order": 0,
  
"userUuids": [
  
  
"string"
  
],
  
"deactivatedAt": "string",
  
"createdAt": "string",
  
"updatedAt": "string",
  
"externalId": "string"
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Delete a Gang​

DELETE
/v2/gangs/{gangUuid}

Delete a Gang by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

gangUuid*
Type
string
Required
Format
"uuid"

Responses​

Successfully removed

Playground​

Server
Authorization
Variables
Key
Value

Samples​


Update a Gang​

PATCH
/v2/gangs/{gangUuid}

Update a Gang by ID

Authorizations​

apiKey
Type
HTTP (bearer)

Parameters​

Path Parameters

gangUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"name": "string",
  
"deactivatedAt": "string",
  
"order": 0,
  
"userUuids": [
  
  
"string"
  
],
  
"externalId": "string"
}

Responses​

Gang found

application/json
JSON
{
  
"uuid": "string",
  
"name": "string",
  
"order": 0,
  
"userUuids": [
  
  
"string"
  
],
  
"deactivatedAt": "string",
  
"createdAt": "string",
  
"updatedAt": "string",
  
"externalId": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​